Bug 78296 - Mouse pointer disappears when switching to X
Mouse pointer disappears when switching to X
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-20 16:47 EST by David Balažic
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 14:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XF86Config with HW cursor (3.01 KB, text/plain)
2002-11-21 14:56 EST, David Balažic
no flags Details
log file for HW cursor (27.68 KB, text/plain)
2002-11-21 14:57 EST, David Balažic
no flags Details
XF86Config with SW cursor (3.01 KB, text/plain)
2002-11-21 14:59 EST, David Balažic
no flags Details
log for SW cursor (26.93 KB, text/plain)
2002-11-21 14:59 EST, David Balažic
no flags Details

  None (edit)
Description David Balažic 2002-11-20 16:47:58 EST
Description of Problem:

During install or when firstboot is run, if I switch to VT1 and back to X on 
VT7, the mouse pointer becomes invisible. It can be used normaly, just on 
blind. After moving the mouse around for a second or two, it reappears.

gfx card is SiS 6326. X driver used after install is "sis".


Version-Release number of selected component (if applicable):

xfree-4.2.0-72

How Reproducible:

always

Steps to Reproduce:
1. perform a GUI install
2. switch to VT1
3. switch back to VT7

Actual Results:

The mouse pointer is invisible until it is "shaked" around

Expected Results:

Mouse pointer is visible.

Additional Information:
Comment 1 Mike A. Harris 2002-11-21 09:25:14 EST
Please attach your X config file and log file
Comment 2 David Balažic 2002-11-21 14:44:58 EST
It is related to the swcursor option :

option                   | bug 
-------------------------------
(none)                   | yes
Option "swcursor" "off"  | yes
Option "swcursor" "on"   | no
Option "swcursor" ""     | no ( <- empty value means "on" ? )
Comment 3 David Balažic 2002-11-21 14:56:51 EST
Created attachment 85944 [details]
XF86Config with HW cursor
Comment 4 David Balažic 2002-11-21 14:57:41 EST
Created attachment 85945 [details]
log file for HW cursor
Comment 5 David Balažic 2002-11-21 14:59:10 EST
Created attachment 85946 [details]
XF86Config with SW cursor
Comment 6 David Balažic 2002-11-21 14:59:43 EST
Created attachment 85947 [details]
log for SW cursor
Comment 7 Mike A. Harris 2002-12-06 10:54:20 EST
XFree86 boolean config file options may be specified in many different ways,
all of which are equivalent to each other.  The mouse cursor always defaults
to hardware cursor unless otherwise specified.  Also, case is insignificant
and whitespace and underscores are removed and ignored.  An optional boolean
indicator may be present also.

So..

Option "hwcursor"  is the same as  Option "hwcursor" "on" which is the default
anyway, and also identical to:  Option "swcursor" "off".

Rather than deal with the various plethora of ways of stating the same
thing in the config file...  no specification gives hardware cursor, and
to get software cursor, a simple:

Option "swcursor"

is sufficient.  I thought I'd clarify that just to save you from having
to poke around at what is rather overcomplicated for what it needs to be.
I dunno why they made it so complex.  I prefer to keep it simple though.
Comment 8 Mike A. Harris 2002-12-06 10:59:33 EST
Your chart above indicates that you only observ a bug when the hardware
cursor is being used.

In Red Hat Linux 8.0, the hardware database configures this video card
by default to disable the software cursor as it is known broken.  If you
are using Red Hat official configuration tool redhat-config-xfree86, it
will have configured this properly by default.  Here is the default
settings from the hwdata Cards database used to configure the card:

NAME SiS 6326
CHIPSET SiS6326
SERVER SVGA
DRIVER sis
LINE       Option "swcursor" # Enables software mouse cursor workaround
LINE     # Option "NoAccel" # Use this if acceleration is causing problems
LINE     # Option "fifo_moderate"
LINE     # Option "fifo_conserv"
LINE     # Option "fifo_aggressive"
LINE     # Option "fast_vram"
LINE     # Option "pci_burst_on"
LINE     # Option "xaa_benchmark" # DON'T use with "ext_eng_queue" !!!
LINE     # Option "ext_eng_queue" # Turbo-queue. This can cause drawing
LINE                              # errors, but gives some accel
NOCLOCKPROBE

So technically speaking, we are configuring the card by default correctly.
Do you not get software cursor if you run redhat-config-xfree86 --reconfig
and do not personally modify the config afterward by hand?
Comment 9 David Balažic 2002-12-06 14:02:28 EST
See bug #78367 for more related info.
It was set up for HW cursor at installation and then switched to SW later.
I will try to reproduce it again.
Comment 10 Mike A. Harris 2004-09-24 14:48:35 EDT
We believe this issue to be resolved in our currently supported
OS releases.

Please upgrade to Fedora Core 2 or later, and if this issue turns
out to still be reproduceable, please file a bug report in the
X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.